[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomControlBar.EndUpdate

Decrements the internal counter used to track update requests, and calls Invalidate when the counter reaches zero (0).

## Declaration

Source position: extctrls.pp line 1656

`public procedure TCustomControlBar.EndUpdate;`

## Description

Used in conjunction with BeginUpdate to consolidate redraw requests for the control. Various methods check the value in the internal update counter before calling Invalidate to ensure that an unfinished update is not in progress. Invalidate is called in these methods when the internal counter reaches 0 (zero).

## See also

TCustomControlBar.BeginUpdate |  | Increments the internal counter used to track the number of active update requests.